processModel {arf3DS4} | R Documentation

## Process an ARF model.

### Description

Run an entire processing pipeline for a given ARF model (minimization and statistics).

### Usage

    processModel(arfmodel, options = loadOptions(arfmodel),
     dat = readData(.model.avgdatfile(arfmodel)),
     weights = readData(.model.avgWfile(arfmodel)),
     pr = T, printlevel = 0, try.silen = T)

### Arguments

`arfmodel` | An arf model object (class `model`).
`options` | An "options" object (class `options`).The `options@start.method` slot is used to determine which method to use for starting values. The `arfmodel@modeltype` slot is used to determine whether to fit a full Gaussian model (default) or a simple Gaussian model.
`dat` | An object of class "fmri.data" (`fmri.data` containing the averaged beta-values.)
`weights` | An object of class "fmri.data" (`fmri.data` containing the averaged weights of the beta-values.)
`pr` | Print output to the screen, or perform silently.
`printlevel` | Number indicating the level of output of the minimization procedure.
`try.silen` | Should errors be printed when they occur or only passed to the `@warnings` slot.

### Details

processModel calls `fitModel`, `varcov` and `wald`. The model is automatically saved.

### Value

Returns an object of class "model" with the appropriate slots.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `options`, `fmri.data`, `newModel`, `fitModel`, `varcov`, `wald`

[Package arf3DS4 version 2.5-10 Index]